## 简介

[Brisk-Admin](https://github.com/ZHT131/brisk-admin) 是一个基于 [Vue3.0](https://github.com/vuejs/vue-next)、[Vite](https://github.com/vitejs/vite)、 [element-plus](https://element-plus.gitee.io/)、JavaScript的中后台解决方案，支持移动端响应式布局，它使用了最新的前端技术栈，并提炼了典型的业务页面，包括二次封装组件、动态路由菜单、国际化、动态换肤等功能，它可以帮助你快速搭建中后台项目，该项目使用最新的前端技术栈，使用javascript语法保留了对不熟悉typescript语法用户的友好，同时框架很适合轻松上手使用，希望给你带来帮助。

## 特性
- **最新技术栈**：使用 Vue3/vite2 等前端前沿技术开发
- **皮肤**：可配置的主题
- **Mock 数据** 内置 Mock 数据方案
- **动态路由** 内置动态路由权限生成方案
- **crud组件** 二次封装了crud常用组件方案
- **国际化** 内置国际化方案

## 在线预览
- [brisk-admin](http://brisk-admin.ybym.top/)

账号：admin或editor，密码：123456（随意）

## 文档

[文档地址](http://brisk-admin-doc.ybym.top/) 

## 准备

- [node](http://nodejs.org/) 和 [git](https://git-scm.com/) -项目开发环境
- [Vite](https://vitejs.dev/) - 熟悉 vite 特性
- [Vue3](https://v3.vuejs.org/) - 熟悉 Vue 基础语法
- [Es6+](http://es6.ruanyifeng.com/) - 熟悉 es6 基本语法
- [Vue-Router-Next](https://next.router.vuejs.org/) - 熟悉 vue-router 基本使用
- [element-plus](https://element-plus.gitee.io/) - ui 基本使用
- [Mock.js](https://github.com/nuysoft/Mock) - mockjs 基本语法

## 安装使用

- 获取项目代码

```bash
git clone https://github.com/ZHT131/brisk-admin.git
```

- 安装依赖

```bash
cd brisk-admin

npm install

```

- 运行

```bash
npm run dev
```

- 打包

```bash
npm run build
```

## 更新日志

[CHANGELOG](./CHANGELOG.md)

## 如何贡献

非常欢迎你的加入！[提一个 Issue](https://github.com/ZHT131/brisk-admin/issues) 或者提交一个 Pull Request。

**Pull Request:**

1. Fork 代码!
2. 创建自己的分支: `git checkout -b feat/xxxx`
3. 提交你的修改: `git commit -am 'feat(function): add xxxxx'`
4. 推送您的分支: `git push origin feat/xxxx`
5. 提交`pull request`

## Git 贡献提交规范

- 参考 [vue](https://github.com/vuejs/vue/blob/dev/.github/COMMIT_CONVENTION.md) 规范 ([Angular](https://github.com/conventional-changelog/conventional-changelog/tree/master/packages/conventional-changelog-angular))

  - `feat` 增加新功能
  - `fix` 修复问题/BUG
  - `style` 代码风格相关无影响运行结果的
  - `perf` 优化/性能提升
  - `refactor` 重构
  - `revert` 撤销修改
  - `test` 测试相关
  - `docs` 文档/注释
  - `chore` 依赖更新/脚手架配置修改等
  - `workflow` 工作流改进
  - `ci` 持续集成
  - `types` 类型定义文件更改
  - `wip` 开发中

## 浏览器支持

本地开发推荐使用`Chrome 80+` 浏览器

支持现代浏览器, 不支持 IE


